StarObjectTextInternal::Zone Struct Reference documentation

Public Member Functions | List of all members
StarObjectTextInternal::Zone Struct Referenceabstract

Internal: a basic sone of StarObjectTextInternal. More...

`#include <StarObjectText.hxx>`

Inheritance diagram for StarObjectTextInternal::Zone:

## Public Member Functions
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | send (STOFFListenerPtr listener, StarState &state) const =0
| try to send the data to a listener More...
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages More...

## Detailed Description

Internal: a basic sone of StarObjectTextInternal.

## Constructor & Destructor Documentation

## ◆ Zone()

StarObjectTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## ◆ ~Zone()

StarObjectTextInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

Referenced by Zone().

## Member Function Documentation

## ◆ inventoryPage()

virtual void StarObjectTextInternal::Zone::inventoryPage | ( | StarState & |  | ) | const
| inlinevirtual

try to inventory the different pages

Reimplemented in StarObjectTextInternal::TextZone.

Referenced by StarObjectTextInternal::TextZone::TextZone().

## ◆ send()

virtual bool StarObjectTextInternal::Zone::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state
| ) |  | const
| pure virtual

try to send the data to a listener

Implemented in StarObjectTextInternal::Table, StarObjectTextInternal::TextZone, StarObjectTextInternal::SectionZone, StarObjectTextInternal::OLEZone, StarObjectTextInternal::GraphZone, and StarObjectTextInternal::FormatZone.

Referenced by StarObjectTextInternal::Content::Content(), StarObjectTextInternal::FormatZone::FormatZone(), StarObjectTextInternal::GraphZone::GraphZone(), StarObjectTextInternal::OLEZone::OLEZone(), StarObjectTextInternal::SectionZone::SectionZone(), StarObjectTextInternal::Table::Table(), StarObjectTextInternal::TextZone::TextZone(), and Zone().

The documentation for this struct was generated from the following files:

- StarObjectText.hxx
- StarObjectText.cxx